<div class="m-3">
    <div class="modal-header">
        <h4>{{'techsupport.firstTitle' | translate}}</h4>
    </div>
    <div class="modal-body">
        <form [formGroup]="form">
            <div class="form-group mb-3">
                <label class="form-label">{{'techsupport.type' | translate}} <span class="text-danger">*</span></label>
                <select class="form-select" formControlName="typeId">
                    <option [value]="type?.id" *ngFor="let type of dictTypes">{{type?.name}}</option>
                </select>
            </div>
            <div class="form-group mb-3">
                <label class="form-label">{{'techsupport.attach' | translate}}</label>
                <input type="file" class="form-control" (change)="fileChange($event)" multiple>
            </div>
            <div class="form-group mb-3">
                <label class="form-label">{{'techsupport.description' | translate}} <span class="text-danger">*</span></label>
                <textarea class="form-control" type="text" formControlName="message"></textarea>
            </div>
            <div class="mt-3">
                <button class="btn btn-dark col-3" type="submit" (click)="submit()" [disabled]="form.invalid">{{'techsupport.submit' | translate}}</button>
            </div>
        </form>
    </div>
</div>
